%!TEX root=../../source.tex
%!TEX file=content/appendix/cable-robots.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Cable Robots}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Why More Cables than Degrees of Freedom?}
  
  \begin{minipage}[c]{0.49\linewidth}
    Static equilibrium / structure equation reads for platform pose $\platpose = \vectset{ \platpos ; \platrot }$
    \begin{align*}
      \structmat \of{\platpos, \platrot} \,
      \cabforces
      +
      \wrench
        & = \zeros \,
          ,
        & 0 < \cabforce_{\ms{min}}
        & \leq \cabforce_{\cabindex}
          \leq \cabforce_{\ms{max}} \,
          ,
    \end{align*}
    
    In case $\numcable = \dof$ and non-singular pose, $\structmat$ is square and regular
    
    Assume no external forces i.e., $\wrench \equiv \zeros$, then%
    %
    \begin{align*}
      \structmat \,
      \cabforces
        & = \zeros \,
          ,
    \end{align*}
    %
    is only satisfied if $\cabforces \equiv \zeros$, which is in contradiction to the assumption of $\zeros < \cabforces$
  \end{minipage}%
  \hfill%
  \begin{minipage}[c]{0.49\linewidth}
    % \begin{align*}
    
    % \end{align*}
  \end{minipage}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Cable Robot Types}
  
  \begin{minipage}[c]{0.49\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
        ]{schematic-caro/suspended}
      \caption{Suspended cable robots}
    \end{figure}
  \end{minipage}%
  \hfill
  \begin{minipage}[c]{0.49\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
        ]{schematic-caro/redundantly-restrained}
      \caption{Redundantly restrained robot}
    \end{figure}
  \end{minipage}%
  
  \begin{minipage}[t]{0.325\linewidth}
    \begin{block}{Incompletely Restrained Parallel Manipulators}
      $\numcable \leq \dof$
    \end{block}
  \end{minipage}%
  \hfill%
  \begin{minipage}[t]{0.325\linewidth}
    \begin{block}{Completely Restrained Parallel Manipulators}
      $\numcable = \dof + 1$
    \end{block}
  \end{minipage}%
  \hfill%
  \begin{minipage}[t]{0.325\linewidth}
    \begin{block}{Redundantly Restrained Parallel Manipulators}
      $\numcable > \dof + 1$
    \end{block}
  \end{minipage}%
\end{frame}
